Package ru.bitel.bgbilling.modules.wm.server.bean

# Class Constants

java.lang.Object
ru.bitel.bgbilling.common.bean.BGBaseConstants
ru.bitel.bgbilling.modules.wm.server.bean.Constants

    public class Constants
    extends BGBaseConstants

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `KEY_WM_DIGEST_TYPE` |
  `static java.lang.String` | `KEY_WM_FAIL_METHOD` |
  `static java.lang.String` | `KEY_WM_FAIL_URL` |
  `static java.lang.String` | `KEY_WM_GATE_URL` |
  `static java.lang.String` | `KEY_WM_MODE` |
  `static java.lang.String` | `KEY_WM_PAYEE_PURSE` |
  `static java.lang.String` | `KEY_WM_PAYMENT_COMMENT` |
  `static java.lang.String` | `KEY_WM_PAYMENT_DESC` |
  `static java.lang.String` | `KEY_WM_PAYMENT_DESC_ENC` |
  `static java.lang.String` | `KEY_WM_PAYMENT_TYPE_ID` |
  `static java.lang.String` | `KEY_WM_RESULT_URL` |
  `static java.lang.String` | `KEY_WM_SECRET` |
  `static java.lang.String` | `KEY_WM_SUCCESS_METHOD` |
  `static java.lang.String` | `KEY_WM_SUCCESS_URL` |
  `static java.lang.String` | `KEY_WM_SUM_MAX` |
  `static java.lang.String` | `KEY_WM_SUM_MIN` |
  `static java.lang.String` | `WM_DIGEST_TYPE` |
  `static int` | `WM_FAIL_METHOD` |
  `static java.lang.String` | `WM_GATE_URL` |
  `static int` | `WM_MODE_OFF` |
  `static int` | `WM_MODE_ON` |
  `static int` | `WM_MODE_TEST` |
  `static java.lang.String` | `WM_PAYMENT_COMMENT` |
  `static java.lang.String` | `WM_PAYMENT_DESC` |
  `static java.lang.String` | `WM_PAYMENT_DESC_ENC` |
  `static int` | `WM_SUCCESS_METHOD` |
  `static int` | `WM_SUM_MAX` |
  `static int` | `WM_SUM_MIN` |

  ### Fields inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `AUTOPAYMENT_MODE_MONTH_DAY_DEFAULT, AUTOPAYMENT_MODE_WEEK_DAY_DEFAULT, DEFAULT_FISCALIZATION_CUSTOMER_ADDRESS_TITLE, DEFAULT_SUM_MAX, DEFAULT_SUM_MIN, KEY_AUTOPAYMENT_ENABLE, KEY_AUTOPAYMENT_ID, KEY_AUTOPAYMENT_MODE, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM, KEY_AUTOPAYMENT_MODE_AUTO_DAY_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_ENABLE, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM, KEY_AUTOPAYMENT_MODE_AUTO_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM, KEY_AUTOPAYMENT_MODE_AUTO_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_DAY, KEY_AUTOPAYMENT_MODE_MONTH_ENABLE, KEY_AUTOPAYMENT_MODE_MONTH_SUM, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MAX, KEY_AUTOPAYMENT_MODE_MONTH_SUM_MIN, KEY_AUTOPAYMENT_MODE_WEEK_DAY, KEY_AUTOPAYMENT_MODE_WEEK_ENABLE, KEY_AUTOPAYMENT_MODE_WEEK_SUM, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MAX, KEY_AUTOPAYMENT_MODE_WEEK_SUM_MIN, KEY_BILLING_NAME, KEY_COMMISSION_PERCENT, KEY_COMMISSION_TYPE, KEY_CUSTOMER_ADDRESS, KEY_CUSTOMER_ADDRESS_ENABLE, KEY_CUSTOMER_ADDRESS_REQUIRED, KEY_CUSTOMER_ADDRESS_TITLE, KEY_CUSTOMER_EMAIL, KEY_CUSTOMER_EMAIL_ENABLE, KEY_CUSTOMER_EMAIL_REQUIRED, KEY_MONTH, KEY_PAGE, KEY_PERIOD, KEY_STATUS, KEY_STATUS_LIST, KEY_SUM_MAX, KEY_SUM_MIN, KEY_TRANSACTIONS, KEY_YEAR, PATTERN_CARD, PATTERN_CONTRACT_COMMENT, PATTERN_CONTRACT_TITLE, PATTERN_TRANSACTION_ID, REQUEST_ATTR_CONTENT_TYPE, REQUEST_PARAM_CONTENT_TYPE, REQUEST_PARAM_CUSTOMER_ADDRESS, REQUEST_PARAM_CUSTOMER_EMAIL, REQUEST_PARAM_MONTH, REQUEST_PARAM_PAYMENT_EMAIL, REQUEST_PARAM_PAYMENT_PHONE, REQUEST_PARAM_STATUS, REQUEST_PARAM_SUM, REQUEST_PARAM_YEAR, STRING_AMP, STRING_EQUALS`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Constants()` |

- ## Method Summary

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGBaseConstants

  `getIntConstantByName`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### WM_MODE_OFF

    public static final int WM_MODE_OFF
    See Also:
      Constant Field Values

  - ### WM_MODE_ON

    public static final int WM_MODE_ON
    See Also:
      Constant Field Values

  - ### WM_MODE_TEST

    public static final int WM_MODE_TEST
    See Also:
      Constant Field Values

  - ### WM_SUM_MIN

    public static final int WM_SUM_MIN
    See Also:
      Constant Field Values

  - ### WM_SUM_MAX

    public static final int WM_SUM_MAX
    See Also:
      Constant Field Values

  - ### WM_SUCCESS_METHOD

    public static final int WM_SUCCESS_METHOD
    See Also:
      Constant Field Values

  - ### WM_FAIL_METHOD

    public static final int WM_FAIL_METHOD
    See Also:
      Constant Field Values

  - ### WM_DIGEST_TYPE

    public static final java.lang.String WM_DIGEST_TYPE
    See Also:
      Constant Field Values

  - ### WM_GATE_URL

    public static final java.lang.String WM_GATE_URL
    See Also:
      Constant Field Values

  - ### WM_PAYMENT_DESC

    public static final java.lang.String WM_PAYMENT_DESC
    See Also:
      Constant Field Values

  - ### WM_PAYMENT_DESC_ENC

    public static final java.lang.String WM_PAYMENT_DESC_ENC
    See Also:
      Constant Field Values

  - ### WM_PAYMENT_COMMENT

    public static final java.lang.String WM_PAYMENT_COMMENT
    See Also:
      Constant Field Values

  - ### KEY_WM_MODE

    public static final java.lang.String KEY_WM_MODE
    See Also:
      Constant Field Values

  - ### KEY_WM_SECRET

    public static final java.lang.String KEY_WM_SECRET
    See Also:
      Constant Field Values

  - ### KEY_WM_SUM_MIN

    public static final java.lang.String KEY_WM_SUM_MIN
    See Also:
      Constant Field Values

  - ### KEY_WM_SUM_MAX

    public static final java.lang.String KEY_WM_SUM_MAX
    See Also:
      Constant Field Values

  - ### KEY_WM_GATE_URL

    public static final java.lang.String KEY_WM_GATE_URL
    See Also:
      Constant Field Values

  - ### KEY_WM_DIGEST_TYPE

    public static final java.lang.String KEY_WM_DIGEST_TYPE
    See Also:
      Constant Field Values

  - ### KEY_WM_PAYEE_PURSE

    public static final java.lang.String KEY_WM_PAYEE_PURSE
    See Also:
      Constant Field Values

  - ### KEY_WM_PAYMENT_DESC

    public static final java.lang.String KEY_WM_PAYMENT_DESC
    See Also:
      Constant Field Values

  - ### KEY_WM_PAYMENT_DESC_ENC

    public static final java.lang.String KEY_WM_PAYMENT_DESC_ENC
    See Also:
      Constant Field Values

  - ### KEY_WM_PAYMENT_TYPE_ID

    public static final java.lang.String KEY_WM_PAYMENT_TYPE_ID
    See Also:
      Constant Field Values

  - ### KEY_WM_PAYMENT_COMMENT

    public static final java.lang.String KEY_WM_PAYMENT_COMMENT
    See Also:
      Constant Field Values

  - ### KEY_WM_RESULT_URL

    public static final java.lang.String KEY_WM_RESULT_URL
    See Also:
      Constant Field Values

  - ### KEY_WM_SUCCESS_URL

    public static final java.lang.String KEY_WM_SUCCESS_URL
    See Also:
      Constant Field Values

  - ### KEY_WM_SUCCESS_METHOD

    public static final java.lang.String KEY_WM_SUCCESS_METHOD
    See Also:
      Constant Field Values

  - ### KEY_WM_FAIL_URL

    public static final java.lang.String KEY_WM_FAIL_URL
    See Also:
      Constant Field Values

  - ### KEY_WM_FAIL_METHOD

    public static final java.lang.String KEY_WM_FAIL_METHOD
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### Constants

    public Constants()